#!/bin/bash

# usage: install_rolled.sh <firmware zip name>

# bail after first error returned
set -e

# remove stale temporary stuff. note the -f.. if we don't have that we'll bail because of "set -e"
rm -f /tmp/udirectinout /tmp/install_rolled.sh

unzip $1 -d /tmp

# backup old binary. TODO: use date/version or something? 
mv /home/sysop/ECR-1/pi/directinout /home/sysop/ECR-1/pi/directinout.old  

cp /tmp/udirectinout /home/sysop/ECR-1/pi/directinout
cp /tmp/install_rolled.sh /home/sysop/ECR-1/pi

sync
